Subject: Re: SUNhpc ELF error

From: Mark Natoli <[email-masked]>
Date: Mon, 3 Aug 1998 11:08:55 -0400 (EDT)

Hi,

  I have removed the patch that I installed on osprey1-4 which contained
a new "ld".  That patch was a part of a cluster of recommended/security
patches that were applied to all ospreys.
  Sorry for the  inconvenience.

Now:
----
osprey1% ld -V
ld: Software Generation Utilities (SGU) SunOS/ELF (LK-2.0 (S/I) -versioning)

Mark

On Mon, 27 Jul 1998, Saleh Elmohamed wrote:

> Hi,
> 
> This is regarding interfacing MPIJava with SunMPI from the SUNWhpc 
> package. So far our attempts to do that were not successful and we think 
> the main reason for that as we could tell is the 'ld' (linking) ...
> 
> In /sunhpc/SUNWhpc/lib/libmpi.so
> 
> we found the old 'ld' for SunOS was used:
> 
> ld: Software Generation Utilities (SGU) SunOS/ELF (LK-2.0 (S/I) - 
> versioning)
> 
> we also noticed that '/usr/ccs/bin/ld' on osprey2-4  last changed on
> July 9th:
> 90 -rwxr-xr-x   1 bin      bin        45744 Jul  9 23:51 ld
> 
> But doing ld -V on osprey2 or osprey1 ...
> 
> saleh:osprey2[133] ld -V 
> 
> ld: Software Generation Utilities - Solaris/ELF (3.0)
> 
> So as it looks there is a difference on what was actually used and 
> what need to be used. When running our test code we get the following
> sample error:
> 
> saleh:osprey2[157] tmrun -np 2 runtest
> 
> /home/T4F/saleh/HPJava/SunMpiJavaTest/runtest
> /home/T4F/saleh/HPJava/SunMpiJavaTest/runtest and this is test.java:
> hellotest.java: hello ld.so.1:
> 
> /usr/npac/java/bin/../bin/sparc/green_threads/java: elf error: 
> ./libmpijava.so: bad ELF flags value: 0x300 (libmpijava.so) 
> ...
> ...
> 
> 
> What we like to have is the old version of 'ld', that is
> the SunOS/ELF(LK-2.0 (S/I) -versioning)). As mentioned above
> the Solaris/ELF is causing some problems for the interface. 
> 
> BTW, I have not run into any problems with the C/MPI test examples 
> or my own C/MPI programs ... 
> 
> Many thanks for any help,
> Saleh
> 
>